OpenJPEG 2.1.2

Data Structures | Macros | Typedefs
t1.h File Reference

Implementation of the tier-1 coding (coding of code-block coefficients) (T1) More...

Go to the source code of this file.

## Data Structures
struct | opj_t1
| Tier-1 coding (coding of code-block coefficients) More...

## Macros
#define | T1_NMSEDEC_BITS 7
#define | T1_SIG_NE 0x0001
| Context orientation : North-East direction. More...
#define | T1_SIG_SE 0x0002
| Context orientation : South-East direction. More...
#define | T1_SIG_SW 0x0004
| Context orientation : South-West direction. More...
#define | T1_SIG_NW 0x0008
| Context orientation : North-West direction. More...
#define | T1_SIG_N 0x0010
| Context orientation : North direction. More...
#define | T1_SIG_E 0x0020
| Context orientation : East direction. More...
#define | T1_SIG_S 0x0040
| Context orientation : South direction. More...
#define | T1_SIG_W 0x0080
| Context orientation : West direction. More...
#define | T1_SIG_OTH (T1_SIG_N|T1_SIG_NE|T1_SIG_E|T1_SIG_SE|T1_SIG_S|T1_SIG_SW|T1_SIG_W|T1_SIG_NW)
#define | T1_SIG_PRIM (T1_SIG_N|T1_SIG_E|T1_SIG_S|T1_SIG_W)
#define | T1_SGN_N 0x0100
#define | T1_SGN_E 0x0200
#define | T1_SGN_S 0x0400
#define | T1_SGN_W 0x0800
#define | T1_SGN (T1_SGN_N|T1_SGN_E|T1_SGN_S|T1_SGN_W)
#define | T1_SIG 0x1000
#define | T1_REFINE 0x2000
#define | T1_VISIT 0x4000
#define | T1_NUMCTXS_ZC 9
#define | T1_NUMCTXS_SC 5
#define | T1_NUMCTXS_MAG 3
#define | T1_NUMCTXS_AGG 1
#define | T1_NUMCTXS_UNI 1
#define | T1_CTXNO_ZC 0
#define | T1_CTXNO_SC (T1_CTXNO_ZC+T1_NUMCTXS_ZC)
#define | T1_CTXNO_MAG (T1_CTXNO_SC+T1_NUMCTXS_SC)
#define | T1_CTXNO_AGG (T1_CTXNO_MAG+T1_NUMCTXS_MAG)
#define | T1_CTXNO_UNI (T1_CTXNO_AGG+T1_NUMCTXS_AGG)
#define | T1_NUMCTXS (T1_CTXNO_UNI+T1_NUMCTXS_UNI)
#define | T1_NMSEDEC_FRACBITS (T1_NMSEDEC_BITS-1)
#define | T1_TYPE_MQ 0
| Normal coding using entropy coder. More...
#define | T1_TYPE_RAW 1
| No encoding the information is store under raw format in codestream (mode switch RAW) More...
#define | MACRO_t1_flags(x, y) t1->flags[((x)*(t1->flags_stride))+(y)]

## Typedefs
typedef OPJ_INT16 | opj_flag_t
typedef struct opj_t1 | opj_t1_t
| Tier-1 coding (coding of code-block coefficients) More...

## Functions
Exported functions
OPJ_BOOL | opj_t1_encode_cblks (opj_t1_t *t1, opj_tcd_tile_t *tile, opj_tcp_t *tcp, const OPJ_FLOAT64 *mct_norms, OPJ_UINT32 mct_numcomps)
| Encode the code-blocks of a tile. More...
OPJ_BOOL | opj_t1_decode_cblks (opj_t1_t *t1, opj_tcd_tilecomp_t *tilec, opj_tccp_t *tccp)
| Decode the code-blocks of a tile. More...
opj_t1_t * | opj_t1_create (OPJ_BOOL isEncoder)
| Creates a new Tier 1 handle and initializes the look-up tables of the Tier-1 coder/decoder. More...
void | opj_t1_destroy (opj_t1_t *p_t1)
| Destroys a previously created T1 handle. More...

## Detailed Description

Implementation of the tier-1 coding (coding of code-block coefficients) (T1)

The functions in T1.C have for goal to realize the tier-1 coding operation. The functions in T1.C are used by some function in TCD.C.